//+------------------------------------------------------------------+
//|                                                   FindReange.mq5 |
//|                                  Copyright 2023, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property script_show_inputs
#include <Canvas\iCanvas_CB.mqh> // https://www.mql5.com/ru/code/22164

input int Bars = 200;
//+------------------------------------------------------------------+
void OnStart() {
   Canvas.Erase(0x00FFFFFF);
   for (int i = W.Left_bar; i>=W.Right_bar; i--) {
      if (IsNewMaxForLastN_Bars(Bars,i)) Canvas.FillCircle((int)Canvas.X(double(i)),(int)Canvas.Y(iHigh(NULL,0,i)),5,0x8000FF00);
      if (IsNewMinForLastN_Bars(Bars,i)) Canvas.FillCircle((int)Canvas.X(double(i)),(int)Canvas.Y(iLow(NULL,0,i)),5,0x80FF0000);
   }
   Canvas.Update();
   Sleep(20000);
}
//+------------------------------------------------------------------+
bool IsNewMaxForLastN_Bars (int N_Bars, int start = 0) {
   return iHighest(NULL,0,MODE_HIGH,N_Bars,start)==start;
}
//+------------------------------------------------------------------+
bool IsNewMinForLastN_Bars (int N_Bars, int start = 0) {
   return iLowest(NULL,0,MODE_LOW,N_Bars,start)==start;
}
//+------------------------------------------------------------------+
